Loading...
Searching...
No Matches
aipsenv.h File Reference

Go to the source code of this file.

## Namespaces

namespace | casacore
| this file contains all the compiler specific defines

## Macros

#define | _FILE_OFFSET_BITS
| Set if compiler supports C++11 or newer.
#define | _LARGEFILE_SOURCE
#define | _LARGEFILE64_SOURCE
#define | AIPS_LIKELY(x)
| Compiler hints for branch prediction (and code layout).
#define | AIPS_UNLIKELY(x)

## Macro Definition Documentation

## _FILE_OFFSET_BITS

#define _FILE_OFFSET_BITS

Set if compiler supports C++11 or newer.

Set if compiler supports C++14 or newer Set if GCC compiler is used. Alternate project compiler Alternate project compiler If the compiler specifies endianness, use that Automatically configure for known LITTLE ENDIAN systems If needed, define the LFS variables (needed in code using cfitsio).

Definition at line 235 of file aipsenv.h.

## _LARGEFILE64_SOURCE

#define _LARGEFILE64_SOURCE

Definition at line 240 of file aipsenv.h.

## _LARGEFILE_SOURCE

#define _LARGEFILE_SOURCE

Definition at line 237 of file aipsenv.h.

## AIPS_LIKELY

#define AIPS_LIKELY | ( |  | x | ) |

Compiler hints for branch prediction (and code layout).

Use only after profiling performance critical code, or on checks for exceptional conditions.

Definition at line 252 of file aipsenv.h.

## AIPS_UNLIKELY

#define AIPS_UNLIKELY | ( |  | x | ) |

Definition at line 253 of file aipsenv.h.